import type chalk from "chalk";
interface WaiterOptions {
    line1: string;
    line2: string;
    line3: string;
    doubleBackslash?: boolean;
    interval?: number;
    spinnerColor?: chalk.Chalk;
}
interface ProgressOptions {
    totalSteps: number;
    line1: string;
    spinnerColor?: chalk.Chalk;
    steps: string[];
}
interface ProgressBarOptions {
    waiter: WaiterOptions;
    progress: ProgressOptions;
}
export declare class ProgressBar {
    private stream;
    private interval;
    private waiterFrames;
    private progressDotFrames;
    private waiterId;
    private progressId;
    private linesToClear;
    private lineCount;
    private waiterFrameIndex;
    private progressFrameIndex;
    private total;
    private eta;
    private value;
    private startTime;
    private lastProgressString;
    private step;
    private stepIndex;
    private steps;
    private progressLine1;
    private progressSpinnerColor;
    constructor(options: ProgressBarOptions);
    private getSpinners;
    startWaiter(): this;
    private frameWaiter;
    private renderWaiter;
    startProgress(): this;
    incrementProgress(value?: number): void;
    private renderProgress;
    private frameProgress;
    private dotsProgressWaiter;
    private getETAString;
    private autopadding;
    private getProgressPercentageString;
    private getProgressString;
    private getProgress;
    private clear;
    stop(): this;
    private stopWaiter;
    private stopProgress;
    updateETA(): void;
    setStep(step: number): this;
    setProgressLine1(line: string): this;
    private setProgressDots;
}
export {};
