import { DataTypeKind } from "../../../types/enums/DataTypeKind.js";
import { printArrayParser } from "../printers/printArrayParser.js";
import { printDomainParser } from "../printers/printDomainParser.js";
import { printEnumType } from "../printers/printEnumType.js";
export function getParserType(type, context, file, maxLength) {
    switch (type.kind) {
        case DataTypeKind.Array:
            return printArrayParser(type, context, file, maxLength);
        case DataTypeKind.Domain:
            return printDomainParser(type, context, file, maxLength);
        case DataTypeKind.Enum:
            return printEnumType(type, context, file);
    }
    return "unknown";
}
//# sourceMappingURL=getParserType.js.map