import { DataTypeKind } from "../../../types/enums/DataTypeKind.js";
import { printArrayType } from "../printers/printArrayType.js";
import { printDomainType } from "../printers/printDomainType.js";
import { printEnumType } from "../printers/printEnumType.js";
export function getTypeScriptType(type, context, file, maxLength) {
    switch (type.kind) {
        case DataTypeKind.Array:
            return printArrayType(type, context, file, maxLength);
        case DataTypeKind.Domain:
            return printDomainType(type, context, file, maxLength);
        case DataTypeKind.Enum:
            return printEnumType(type, context, file);
    }
    return "string";
}
//# sourceMappingURL=getTypeScriptType.js.map